Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::NodeDescriptor`

## Overview

    struct NodeDescriptor

### Used By

NodeDescriptorDict

### Data Member Index

description

  The description of this node.

loadFactor

  Load factor of the node.

serverInstances

  The server instances.

servers

  Servers (which are not template instances).

variables

  The variables defined for the node.

## `description`

    string description;

The description of this node.

## `loadFactor`

    string loadFactor;

Load factor of the node.

## `serverInstances`

    ServerInstanceDescriptorSeq serverInstances;

The server instances.

## `servers`

    ServerDescriptorSeq servers;

Servers (which are not template instances).

## `variables`

    [ "java:type:java.util.TreeMap" ]
    StringStringDict variables;

The variables defined for the node.

<<< Previous | Home | Next >>>
`IceGrid::LoadSample` | Up | `IceGrid::NodeDynamicInfo`